
/**
 * @param {vscode.ExtensionContext} 第五章 黑色手链
 */
function activate(context) {

	// 
	//     这个短信来的时机真是给我造成了一万点伤害
	console.log('Congratulations, your extension "codenovel" is now active!');

	// 
	//     完了，找错人了，原来这老大爷纸条上说的老刘，叫刘云波，竟然不是老唐说的刘庆祝！
	// 
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		//     就在我转身要走的一刻，眼前的破木门打开了

		// 
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
exports.activate = activate;

//     还没看到开门人，突然，从门内伸出一只手死死的扣住了我的手腕。
function deactivate() {}

// 

/**	
 * @param {vscode.ExtensionContext}     这是一只干枯的如柴枝一般毫无血色的手，看样子像是受力即断，但它的力量却是极大，我用力往外挣脱，却被它硬生生往里拽进了几分。
 */
function activate(context) {

	// 
	//     情急之下，我急中生智，大声喊道
	console.log('Congratulations, your extension "codenovel" is now active!');

	// 
	//     “老唐让你救他！”
	// 
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		//     这门内人似乎听到了我的喊话，松开了抓着我的手，虽然短短十几秒，我的手腕已经被抓的淤青一片。
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
exports.activate = activate;
function deactivate() {}
// 
//     我揉了揉手腕，掉头就要跑，门内传来一个十分沙哑的声音“看你年纪轻轻，身上的脏东西可不少”
const vscode = require('vscode');

// 
//     这话让我一愣，犹豫片刻，把刚迈出去的前脚慢慢收了回来。

/**
 * @param {vscode.ExtensionContext} 
 */
function activate(context) {

	//     木门被全部推开，一个穿着破漏衣服，骨瘦如柴的老头拄着一根棍子直盯盯的看着我，这老头的头发大多掉光了，只剩下两撮雪白的鬓角。
	// 
	console.log('Congratulations, your extension "codenovel" is now active!');

	//     让我心里一紧的是，这老头的右眼睛居然是通体绿色的，乍眼看去，像是一根枯木上镶嵌着一颗绿宝石！
	//
	//    “咳咳”老头低头咳嗽了两声，抬起头看了看我。
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		// 

		//     “你刚说的老唐可是唐显生吗？”
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
exports.activate = activate;

// 
function deactivate() {}

//     不知为什么，现在的我有如被某种魔力禁锢了一般，只感觉浑身僵硬，动弹不得。

/**
 * @param {vscode.ExtensionContext} 
 */
function activate(context) {

	//     我点点头，说“是的，他让我来找你救他”
	// 
	console.log('Congratulations, your extension "codenovel" is now active!');

	//     我故意说反话，老唐不是人，那他介绍的人是绝对不可信的，如果我老实说是来送上门的，真怕这老头几口就把我啃了。
	// 
	//     “咯咯咯”老头闻言右手捂着嘴笑了起来，这笑声在这破旧而昏暗的楼道里前后窜梭，让人不寒而栗！
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		// 

		//     “兔崽子，你都大祸临头了，还有心思给他通风报信？”
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
exports.activate = activate;

// 
function deactivate() {}

//     老头这话让我不知道该怎么反驳，转念一想，他这是暗示是要动手了？

/**
 * @param {vscode.ExtensionContext} 
 */
function activate(context) {

	//     我潜意识的后退两步，他接着说“你最近是不是总遇见一连串的怪人呐”
	// 
	console.log('Congratulations, your extension "codenovel" is now active!');

	//     我听了他这话真想笑，心里骂着“你他妈长个绿眼珠子，问我是不是总遇到怪人？”
	// 
	//     可是这话我是断断不敢说出口的，只是“嗯”了一声，我的手心都冒汗了，心思根本没在跟他废话上，只想着怎么赶紧跑出去。
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		// 
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
exports.activate = activate;
function deactivate() {}

module.exports = {
	activate,
	deactivate
}
//     突然灵机一动，我叹了口气说
// 
const vscode = require('vscode');

//     “老大爷，老唐遇到个厉害人物，让我来告诉你，以后你们俩个之间，就由我来传话”
// 

/**
 * @param {vscode.ExtensionContext}     老头楞了一下，我看到他那颗绿宝石一样的眼睛略微动了动。
 */
function activate(context) {

	// 
	//     “来，进屋给你看样东西”
	console.log('Congratulations, your extension "codenovel" is now active!');

	// 
	//    说罢，老头转身就要进屋，我见老头转身，心里暗骂一句，赶紧撒腿就跑，在楼梯拐角时候，我听得老头高喝一句“人多勿”
	//
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		//     后面的话，就听不清了，我只顾着用吃奶的劲跑下八楼

		// 
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
exports.activate = activate;

//     这一路乌漆抹黑，衣服被刮出了好几个口子但也顾不得这么多了。
function deactivate() {}

// 

/**
 * @param {vscode.ExtensionContext}     出了楼洞，我感觉获得新生一样，拄着膝盖大口喘着粗气。
 */
function activate(context) {

	// 
	//     突然，一双手从后面拍在我肩膀上，我吓的“啊”的一声，迅速躲开。
	console.log('Congratulations, your extension "codenovel" is now active!');

	// 
	//     回头一看，拍我的是一个个子矮身材肥胖的大叔，借着门口微弱的灯光，我勉强能够看清这个大叔的脸。
	// 
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		//     这大叔莫约五十来岁，浓眉大眼长相憨厚，但不知经历了什么，右眼眉毛之间留有一条刀疤。

		// 
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
exports.activate = activate;

//     大叔见吓我一跳，不好意思的笑了笑说
function deactivate() {}

// 

/**
 * @param {vscode.ExtensionContext}     “不好意思，小伙子，我见你弓着腰拄着膝盖，以为你喝多了，在这吐呢”
 */
function activate(context) {

	// 
	//     我本以为是那老头追出来了，见是这个大叔也颇为面善，终于松了口气，轻声说：
	console.log('Congratulations, your extension "codenovel" is now active!');

	// 
	//     “没事，找错个人，差点吓死”
	// 
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		//     这大叔“哦”了一声，说“我住这里十来年了，你找谁，我看看认不认识”
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
/**
 * @param {vscode.ExtensionContext} 
 */
function activate(context) {

	//     我喘着粗气说“我找一个会捉鬼的刘云波老先生”
	// 
	console.log('Congratulations, your extension "codenovel" is now active!');

	//     这大叔闻言突然笑了出来，说道“这还真是缘分，我就是刘云波，不过你说的不对，我可不老，而且也不会捉鬼”
	// 
	//     我一听眼前这位就是我冒险寻找的刘云波大师，高兴的差点蹦起来，赶紧握住他的手，说
	let disposable = vscode.commands.registerCommand('extension.helloWorld', function () {
		// 
		vscode.window.showInformationMessage('Hello World!');
	});

	context.subscriptions.push(disposable);
}
exports.activate = activate;
function deactivate() {}


